| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::exclude_dir_mask Class Reference
API

matches if string is the given constructor string or a sub directory of it More...

`#include <mask.hpp>`

Inherits libdar::mask, and libdar::mask.

## Public Member Functions
| exclude_dir_mask (const std::string &p, bool case_sensit)
| the constructor to be used by libdar external programs
| exclude_dir_mask (const exclude_dir_mask &ref)=default
| exclude_dir_mask (exclude_dir_mask &&ref) noexcept=default
exclude_dir_mask & | operator= (const exclude_dir_mask &ref)=default
exclude_dir_mask & | operator= (exclude_dir_mask &&ref) noexcept=default
bool | is_covered (const std::string &expression) const override
| inherited from the mask class
bool | is_covered (const path &chemin) const override
| check whether the given path is covered by the mask
std::string | dump (const std::string &prefix) const override
| dump in human readable form the nature of the mask
mask * | clone () const override
| inherited from the mask class
| exclude_dir_mask (const std::string &p, bool case_sensit)
| the constructor to be used by libdar external programs
| exclude_dir_mask (const exclude_dir_mask &ref)=default
| exclude_dir_mask (exclude_dir_mask &&ref) noexcept=default
exclude_dir_mask & | operator= (const exclude_dir_mask &ref)=default
exclude_dir_mask & | operator= (exclude_dir_mask &&ref) noexcept=default
bool | is_covered (const std::string &expression) const override
| inherited from the mask class
bool | is_covered (const path &chemin) const override
| check whether the given path is covered by the mask
std::string | dump (const std::string &prefix) const override
| dump in human readable form the nature of the mask
mask * | clone () const override
| inherited from the mask class
Public Member Functions inherited from libdar::mask
| mask (const mask &ref)=default
| mask (mask &&ref) noexcept=default
mask & | operator= (const mask &ref)=default
mask & | operator= (mask &&ref) noexcept=default
| mask (const mask &ref)=default
| mask (mask &&ref) noexcept=default
mask & | operator= (const mask &ref)=default
mask & | operator= (mask &&ref) noexcept=default

## Private Attributes
std::string | chemin
bool | case_s

## Detailed Description

matches if string is the given constructor string or a sub directory of it

Definition at line 460 of file dar64-2.8.3-win64/include/dar/mask.hpp.

## Constructor & Destructor Documentation

## ◆ exclude_dir_mask() [1/2]

libdar::exclude_dir_mask::exclude_dir_mask | ( | const std::string & | p,
|  | bool | case_sensit )
| inline

the constructor to be used by libdar external programs

Parameters

  [in] | p | is the path to compare with
  [in] | case_sensit | whether the mask is case sensitive or not

Definition at line 467 of file dar64-2.8.3-win64/include/dar/mask.hpp.

Referenced by clone().

## ◆ exclude_dir_mask() [2/2]

libdar::exclude_dir_mask::exclude_dir_mask | ( | const std::string & | p,
|  | bool | case_sensit )
| inline

the constructor to be used by libdar external programs

Parameters

  [in] | p | is the path to compare with
  [in] | case_sensit | whether the mask is case sensitive or not

Definition at line 467 of file src/libdar/mask.hpp.

## Member Function Documentation

## ◆ clone() [1/2]

mask * libdar::exclude_dir_mask::clone | ( |  | ) | const
| inline override virtual

inherited from the mask class

Implements libdar::mask.

Definition at line 480 of file dar64-2.8.3-win64/include/dar/mask.hpp.

References exclude_dir_mask().

## ◆ clone() [2/2]

mask * libdar::exclude_dir_mask::clone | ( |  | ) | const
| inline override virtual

inherited from the mask class

Implements libdar::mask.

Definition at line 480 of file src/libdar/mask.hpp.

References exclude_dir_mask().

## ◆ dump() [1/2]

std::string libdar::exclude_dir_mask::dump | ( | const std::string & | prefix | ) | const
| override virtual

dump in human readable form the nature of the mask

Parameters

  [in] | prefix | used for indentation withing the output string

Implements libdar::mask.

## ◆ dump() [2/2]

std::string libdar::exclude_dir_mask::dump | ( | const std::string & | prefix | ) | const
| override virtual

dump in human readable form the nature of the mask

Parameters

  [in] | prefix | used for indentation withing the output string

Implements libdar::mask.

## ◆ is_covered() [1/4]

bool libdar::exclude_dir_mask::is_covered | ( | const path & | chemin | ) | const
| inline override virtual

check whether the given path is covered by the mask

Parameters

  [in] | chemin | is the path to check

Returns
  true if the given path is covered by the mask

Note
  only libdar internally needs to call this method
  this is an optional method to the previous one, it can be overwritten

Reimplemented from libdar::mask.

Definition at line 476 of file dar64-2.8.3-win64/include/dar/mask.hpp.

## ◆ is_covered() [2/4]

bool libdar::exclude_dir_mask::is_covered | ( | const path & | chemin | ) | const
| inline override virtual

check whether the given path is covered by the mask

Parameters

  [in] | chemin | is the path to check

Returns
  true if the given path is covered by the mask

Note
  only libdar internally needs to call this method
  this is an optional method to the previous one, it can be overwritten

Reimplemented from libdar::mask.

Definition at line 476 of file src/libdar/mask.hpp.

## ◆ is_covered() [3/4]

bool libdar::exclude_dir_mask::is_covered | ( | const std::string & | expression | ) | const
| inline override virtual

inherited from the mask class

Implements libdar::mask.

Definition at line 475 of file dar64-2.8.3-win64/include/dar/mask.hpp.

## ◆ is_covered() [4/4]

bool libdar::exclude_dir_mask::is_covered | ( | const std::string & | expression | ) | const
| inline override virtual

inherited from the mask class

Implements libdar::mask.

Definition at line 475 of file src/libdar/mask.hpp.

## Member Data Documentation

## ◆ case_s

bool libdar::exclude_dir_mask::case_s
| private

Definition at line 484 of file dar64-2.8.3-win64/include/dar/mask.hpp.

## ◆ chemin

std::string libdar::exclude_dir_mask::chemin
| private

Definition at line 483 of file dar64-2.8.3-win64/include/dar/mask.hpp.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/mask.hpp
- src/libdar/mask.hpp